clear


use  "/Users/sw/Google Drive/Research/migrationIntent/data4JAAS.dta"


svyset id [pweight = weight]



** Appendix 1
sum migrateIntent hker bno perceivedPoliChange perceivedEconChange parent age female inc edu hkborn homeowner



** Table 2
svy: reg migrateIntent hker bno perceivedPoliChange perceivedEconChange parent age female inc edu hkborn homeowner
** tableVIF
** vif
estimates store m1, title(model 1)

svy: reg migrateIntent i.hker##i.bno perceivedPoliChange perceivedEconChange parent age female inc edu hkborn homeowner
***figMarginsplot.png --> see figMarginsPlot.R
*margins hker, by(bno)
*marginsplot, scheme(s1mono) xtitle(Hong Kong Identity) ylab(,angle(0)) title(Predictive Margins of Hong Kong Identity with 95% CIs) legend(lab(1 "BNO = 0") lab(2 "BNO = 1")) recast(scatter)
estimates store m2, title(model 2)

svy: ologit migrateF hker bno perceivedPoliChange perceivedEconChange parent age female inc edu hkborn homeowner 
estimates store m3, title(model 3)

svy: ologit migrateF i.hker##i.bno perceivedPoliChange perceivedEconChange parent age female inc edu hkborn homeowner 
estimates store m4, title(model 4)

svy: ologit selfmigrate hker bno perceivedPoliChange perceivedEconChange parent age female inc edu hkborn homeowner   
estimates store m5, title(model 5)

svy: ologit selfmigrate i.hker##i.bno perceivedPoliChange perceivedEconChange parent age female inc edu hkborn homeowner  
estimates store m6, title(model 6)

svy: ologit fammigrate  hker bno perceivedPoliChange perceivedEconChange parent age female inc edu hkborn homeowner 
estimates store m7, title(model 7)

svy: ologit fammigrate i.hker##i.bno perceivedPoliChange perceivedEconChange parent age female inc edu hkborn homeowner 
estimates store m8, title(model 8)

estout *, cells(b(star fmt(%8.3f)) se(par fmt(%8.3f))) stats(N r2 ll, fmt(%8.5g)) starlevels(* 0.05 ** 0.01) style(fixed)
estimates drop *



** Figure 4
twoway(kdensity perceivedPoliChange if hker == 1, recast(area) color(green%30))(kdensity perceivedPoliChange if hker == 0, recast(area) color(red%30)), xtitle("Perceived Political Changes") ytitle(Probability Density) scheme(s1mono) ylab(,angle(0)) legend(lab(1 "Self-identified Hong Kongers") lab(2 "Others"))



** Generate estimates for Figure 6

medeff (regress perceivedPoliChange perceivedEconChange hker parent age female inc edu hkborn homeowner) (regress migrateIntent hker perceivedPoliChange perceivedEconChange parent age female inc edu hkborn homeowner) [pweight = weight], treat(hker) mediate(perceivedPoliChange) sims(1000)

